Inboxes
List Inboxes
Query Parameters
Limit of number of items returned.
Page token for pagination.
Sort in ascending temporal order.
Header Parameters
Bearer authentication
Response Body
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes" \ -H "Authorization: string"{
"count": 0,
"limit": 0,
"next_page_token": "string",
"inboxes": [
{
"pod_id": "string",
"inbox_id": "string",
"email": "string",
"display_name": "string",
"client_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
]
}Create Inbox
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://api.agentry.to/agent/v0/inboxes" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"pod_id": "string",
"inbox_id": "string",
"email": "string",
"display_name": "string",
"client_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"errors": null
}Get Inbox
Path Parameters
The ID of the inbox.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes/string" \ -H "Authorization: string"{
"pod_id": "string",
"inbox_id": "string",
"email": "string",
"display_name": "string",
"client_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Update Inbox
Path Parameters
The ID of the inbox.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Display name: Display Name <username@domain.com>.
Response Body
application/json
application/json
curl -X PATCH "https://api.agentry.to/agent/v0/inboxes/string" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{ "display_name": "string" }'{
"pod_id": "string",
"inbox_id": "string",
"email": "string",
"display_name": "string",
"client_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Delete Inbox
Path Parameters
The ID of the inbox.
Header Parameters
Bearer authentication
Response Body
application/json
curl -X DELETE "https://api.agentry.to/agent/v0/inboxes/string" \ -H "Authorization: string"{
"name": "string",
"message": "string"
}